## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond docs 1
%global major_sover 5
%global minor_sover 5

Name:           libv3270
Version:        5.5.0
Release:        %autorelease
Summary:        3270 Virtual Terminal for GTK+3

License:        LGPL-3.0-only
URL:            https://github.com/PerryWerneck/libv3270
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  gettext-devel
BuildRequires:  gtk3-devel
BuildRequires:  lib3270-devel
%if %{with docs}
BuildRequires:  doxygen
BuildRequires:  graphviz
%endif

%description
Originally designed as part of the pw3270 application, this library provides a
TN3270 virtual terminal widget for GTK+3.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gtk3-devel%{?_isa}
Requires:       lib3270-devel%{?_isa}
Requires:       glade-libs%{?_isa}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%if %{with docs}
%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for %{name}.
%endif

%prep
%autosetup -p1

%build
%meson
%meson_build
%if %{with docs}
doxygen doxygen
%endif

%install
%meson_install
%find_lang %{name}-%{major_sover}.%{minor_sover}

# Removed unused glade catalog
rm -r %{buildroot}%{_datadir}/glade/

%files -f %{name}-%{major_sover}.%{minor_sover}.lang
%license LICENSE
%doc README.md AUTHORS
%{_libdir}/%{name}.so.%{major_sover}*
%{_datadir}/pw3270/

%files devel
%{_includedir}/v3270.h
%{_includedir}/v3270/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*.pc

%if %{with docs}
%files doc
%license LICENSE
%doc html
%endif

%changelog
## START: Generated by rpmautospec
* Thu Dec 26 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 5.5.0-1
- Update to 5.5.0; Fixes: RHBZ#2330050

* Fri Jul 26 2024 Miroslav Suchý <msuchy@redhat.com> - 5.4-12
- convert LGPLv3 license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 5.4-6
- Backport autotools fix; Fixes: RHBZ#2045836

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 23 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.4-1
- New upstream release

* Wed Mar 17 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-5
- Update requires for devel sub-package

* Wed Mar 17 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-4
- Update build requires
- Stricter globbing for library soname

* Sat Mar 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-3
- Add license to doc sub-package and make it noarch
- Update URL

* Sat Mar 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-2
- Do not remove buildroot on install
- Make build output more verbose
- Ensure build flags are applied
- Build docs

* Wed Mar  3 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-1
- Initial package

## END: Generated by rpmautospec
